Difference between revisions of "Ubuntu Natty Installation Guide"

From cchtml.com
Jump to: navigation, search
m (Add note on Unity)
(Add Xserver INcompatibility Warning)
Line 1: Line 1:
 
= Construction Notice =
 
= Construction Notice =
 
Since Ubuntu Natty/11.04 is still under construction, so is this page. Until Natty is released, the Maverick guide ( http://wiki.cchtml.com/index.php/Ubuntu_Maverick_Installation_Guide ) will serve as the main source of info on ATI Catalyst. This page will only note items that are relevant to Natty, but not Maverick.
 
Since Ubuntu Natty/11.04 is still under construction, so is this page. Until Natty is released, the Maverick guide ( http://wiki.cchtml.com/index.php/Ubuntu_Maverick_Installation_Guide ) will serve as the main source of info on ATI Catalyst. This page will only note items that are relevant to Natty, but not Maverick.
 +
 +
= Xserver 1.10 Incompatibility Warning =
 +
Hopefully, AMD will integrate support for the new Xserver before Natty's release. I will update this as soon as I hear news. --[[User:Dtl131|Dtl131]] 21:00, 29 January 2011 (UTC)
 +
 +
{| WIDTH="650" cellpadding=0 cellspacing=0 style="background-color: red; border: solid 1px #666666; color: #ffffff; text-align: center;"
 +
| style="background-color: #666666; border: solid 1px #666666; border-bottom: 1px solid #888;" | <font size="-1">'''ATTENTION RADEON USERS'''</font>
 +
|-
 +
| <br />WARNING: At the end of January 2011, Ubuntu integrated Xserver 1.10 into Ubuntu Natty/11.04. Even the most current release of Catalyst, 11-1, is not compatible with it, so Catalyst will not work if you have already installed Xserver 1.10. If you have not yet installed it, and want to run Catalyst on your Natty/11.04 install, you can hold the Xserver packages (or "Lock Version" as Synaptic refers to it) and continue to run Catalyst 10-12.<br /><br />
 +
|}
  
 
= Patching Catalyst 10-12 Source =
 
= Patching Catalyst 10-12 Source =

Revision as of 16:00, 29 January 2011

Construction Notice

Since Ubuntu Natty/11.04 is still under construction, so is this page. Until Natty is released, the Maverick guide ( http://wiki.cchtml.com/index.php/Ubuntu_Maverick_Installation_Guide ) will serve as the main source of info on ATI Catalyst. This page will only note items that are relevant to Natty, but not Maverick.

Xserver 1.10 Incompatibility Warning

Hopefully, AMD will integrate support for the new Xserver before Natty's release. I will update this as soon as I hear news. --Dtl131 21:00, 29 January 2011 (UTC)

ATTENTION RADEON USERS

WARNING: At the end of January 2011, Ubuntu integrated Xserver 1.10 into Ubuntu Natty/11.04. Even the most current release of Catalyst, 11-1, is not compatible with it, so Catalyst will not work if you have already installed Xserver 1.10. If you have not yet installed it, and want to run Catalyst on your Natty/11.04 install, you can hold the Xserver packages (or "Lock Version" as Synaptic refers to it) and continue to run Catalyst 10-12.

Patching Catalyst 10-12 Source

Catalyst 10-12 needs patched for compliance with kernel version 2.6.37 before you can install it.

$ cd ~/; mkdir catalyst10.12; cd catalyst10.12/
$ wget http://www2.ati.com/drivers/linux/ati-driver-installer-10-12-x86.x86_64.run
$ chmod +x ati-driver-installer-10-12-x86.x86_64.run
$ ./ati-driver-installer-10-12-x86.x86_64.run --extract driver
$ cd driver
$ wget http://ubuntuone.com/p/WVN/firegl_public.c
$ wget http://ubuntuone.com/p/WVU/Makefile
$ mv firegl_public.c common/lib/modules/fglrx/build_mod/
$ mv Makefile common/lib/modules/fglrx/build_mod/2.6.x/
$ ./ati-installer.sh 8.801 --buildpkg Ubuntu/natty
$ cd ..
$ sudo dpkg -i fglrx*.deb

Catalyst and Unity

At this time, Catalyst doesn't work with the new Ubuntu desktop (Unity). You can still use the classic GNOME desktop (or another desktop environment).